List Evaluations
GET /evaluationsParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | query | string (uuid) | null | optional | — |
status | query | queued | running | succeeded | failed | cancelled | null | optional | — |
limit | query | integer | optional | Default 50. min 1 max 200 |
cursor | query | string | null | optional | — |
offset | query | integer | null | optional | min 0 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_EvaluationRunView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/evaluations \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_EvaluationRunView_
Section titled “Response — Page_EvaluationRunView_”| Field | Type | Notes | |
|---|---|---|---|
items | EvaluationRunView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |